<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author			javier.aponte
@version 		1.0
@description	Pantalla que muestra el trámite con derecho de petición o tutela
@cu 			CU-NP-CO-191 

Parámetros:
@param consultaTramite: MB que contiene el trámite del que se muestran los detalles
 
-->

<h:form id="tramiteConDerechoPeticionOTutelaForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:misc="http://java.sun.com/jsf/composite/misc"
        xmlns:p="http://primefaces.org/ui">

    <script type="text/javascript"
            src="#{request.contextPath}/js/jquery.autotab-1.1b.js" />

    <p:messages id="msgsTramiteConDerechoPeticionOTutela"
                showDetail="false" globalOnly="false" />

    <p:panel header="Datos ubicación" toggleable="false">
        <h:panelGroup>

            <h:panelGrid columns="6" cellspacing="10" width="100%">
                <h:panelGroup>
                    <h:panelGrid columns="3" cellspacing="10" width="100%">
                        <h:outputLabel for="consultaTramiteTerritorial"
                                       value="Territorial: " styleClass="outputLabelStyle" />
                        <h:selectOneMenu id="consultaTramiteTerritorial"
                                         label="Territorial"
                                         value="#{consultaTramite.datosConsultaTramite.territorialId}">
                            <f:selectItem itemLabel="Todas" itemValue="" />
                            <f:selectItems
                                value="#{consultaTramite.territorialesItemList}" />
                            <p:ajax
                                update="consultaTramiteDepartamento, consultaTramiteMunicipio"
                                immediate="true" onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();" />
                        </h:selectOneMenu>
                        <p:spacer height="10" width="0" />
                    </h:panelGrid>
                </h:panelGroup>
                <h:outputLabel for="consultaTramiteDepartamento"
                               value="Departamento: " styleClass="outputLabelStyle" />
                <h:selectOneMenu id="consultaTramiteDepartamento"
                                 label="Departamento"
                                 value="#{consultaTramite.datosConsultaTramite.departamentoId}">
                    <f:selectItem itemLabel="Todos" itemValue="" />
                    <f:selectItems
                        value="#{consultaTramite.departamentosItemList}" />
                    <p:ajax update="consultaTramiteMunicipio" immediate="true"
                            onstart="statusDialog2.show();"
                            oncomplete="cambioDpto();statusDialog2.hide();" />
                </h:selectOneMenu>
                <p:spacer height="10" width="0" />
                <h:outputLabel for="consultaTramiteMunicipio" value="Municipio: "
                               styleClass="outputLabelStyle" />
                <h:selectOneMenu id="consultaTramiteMunicipio" label="Municipio"
                                 value="#{consultaTramite.datosConsultaTramite.municipioId}">
                    <f:selectItem itemLabel="Todos" itemValue="" />
                    <f:selectItems
                        value="#{consultaTramite.municipiosItemList}" />
                    <p:ajax onstart="statusDialog2.show();"
                            oncomplete="cambioMunicipio(); statusDialog2.hide();" />
                </h:selectOneMenu>
            </h:panelGrid>

        </h:panelGroup>
    </p:panel>

    <p:spacer height="20" />

    <p:panel header="Datos de la solicitud y/o trámite" >
        <h:panelGrid columns="2" cellspacing="7">

            <h:outputLabel value="No. solicitud: " for="numeroSolicitud"
                           styleClass="outputLabelStyle" />
            <h:panelGrid>
                <h:inputText
                    value="#{consultaTramite.datosConsultaTramite.numeroSolicitud}"
                    size="20" maxlength="20" id="numeroSolicitud" />
            </h:panelGrid>

            <h:outputLabel value="No. radicación: " for="numeroRadicacion"
                           styleClass="outputLabelStyle" />
            <h:panelGrid>
                <h:inputText
                    value="#{consultaTramite.datosConsultaTramite.numeroRadicacion}"
                    size="20" maxlength="20" id="numeroRadicacion" />
            </h:panelGrid>

        </h:panelGrid>
    </p:panel>

    <p:spacer height="20" />

    <p:panel header="Datos del predio" >
        <h:panelGrid columns="3">

            <h:panelGrid>
                <h:outputLabel value="No. predial:" styleClass="outputLabelStyle"
                               id="numeroPredialLabel" />
            </h:panelGrid>
            <p:spacer height="0" width="110" />

            <ui:include
                src="../../conservacion/validacion/numeroPredialConFormato.xhtml">
                <ui:param name="objetoContenedorNumeroPredialParam"
                          value="#{consultaTramite.datosConsultaTramite.numeroPredialPartes}" />
                <ui:param name="idParam" value="busquedaTramites" />
                <ui:param name="formPIdParam"
                          value="tramiteConDerechoPeticionOTutelaForm" />
            </ui:include>

        </h:panelGrid>

    </p:panel>

    <p:spacer height="20" />

    <p:panel header="Datos del solicitante"  >
        <p:spacer height="10" />
        <h:panelGrid columns="3" width="100%" id="panelSolicitante">

            <h:panelGrid id="buscarSolicitantesPanelGrid" width="100%">

                <p:messages id="msgsBS" showDetail="false" globalOnly="true" />

                <h:panelGrid columns="10" width="100%" cellspacing="7">

                    <h:outputLabel value="Tipo de persona: "
                                   styleClass="outputLabelStyle" />

                    <h:selectOneRadio value="#{consultaTramite.tipoPersona}">
                        <f:selectItem itemLabel="Natural" itemValue="0" />
                        <f:selectItem itemLabel="Jurídica" itemValue="1" />
                        <p:ajax
                            update="msgsBS, buscarSolicitantesPanelGrid, PersonaTipoIdentificacionV, tramiteConDerechoPeticionOTutelaForm"
                            listener="#{consultaTramite.tipoPersonaSel}" />
                    </h:selectOneRadio>

                    <h:outputLabel value="Tipo de identificación: "
                                   styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="tipoIdentificacion"
                                     label="Tipo de identificación"
                                     value="#{consultaTramite.filtroDatosConsultaSolicitante.tipoIdentificacion}"
                                     rendered="#{consultaTramite.tipoPersonaN}">
                        <f:selectItems value="#{general.personaTipoIdentificacionNoNitV}" />
                    </h:selectOneMenu>

                    <p:spacer height="0" width="7"
                              rendered="#{!consultaTramite.tipoPersonaN}" />
                    <h:outputText
                        value="#{consultaTramite.filtroDatosConsultaSolicitante.tipoIdentificacion}"
                        id="PersonaTipoIdentificacionV" styleClass="outputTextStyle"
                        rendered="#{!consultaTramite.tipoPersonaN}">
                        <f:converter converterId="converterCB"
                                     for="PersonaTipoIdentificacionV" />
                    </h:outputText>

                    <p:spacer height="0" width="7" />
                    <h:outputLabel value="Número identificación: "
                                   styleClass="outputLabelStyle" />
                    <h:inputText id="numeroIdentificacion"
                                 value="#{consultaTramite.filtroDatosConsultaSolicitante.numeroIdentificacion}"
                                 label="Número identificación" size="30" />

                </h:panelGrid>

                <p:separator />

                <h:panelGrid columns="3">
                    <h:panelGrid columns="12" id="bloqueoI"
                                 rendered="#{consultaTramite.tipoPersonaN}" cellspacing="7">

                        <h:outputLabel value="Primer apellido: "
                                       styleClass="outputLabelStyle" />
                        <h:inputText id="primerApellido"
                                     value="#{consultaTramite.filtroDatosConsultaSolicitante.primerApellido}"
                                     label="Primer apellido" />

                        <p:spacer height="0" width="7" />
                        <h:outputLabel value="Segundo apellido: "
                                       styleClass="outputLabelStyle" />
                        <h:inputText id="segundoApellido"
                                     value="#{consultaTramite.filtroDatosConsultaSolicitante.segundoApellido}"
                                     label="Segundo apellido" />

                        <p:spacer height="0" width="7" />
                        <h:outputLabel value="Primer nombre: "
                                       styleClass="outputLabelStyle" />
                        <h:inputText id="primerNombre"
                                     value="#{consultaTramite.filtroDatosConsultaSolicitante.primerNombre}"
                                     label="Primer nombre" />

                        <p:spacer height="0" width="7" />
                        <h:outputLabel value="Segundo nombre: "
                                       styleClass="outputLabelStyle" />
                        <h:inputText id="segundoNombre"
                                     value="#{consultaTramite.filtroDatosConsultaSolicitante.segundoNombre}"
                                     label="Segundo nombre" />

                    </h:panelGrid>

                    <h:panelGrid columns="5"
                                 rendered="#{!consultaTramite.tipoPersonaN}"
                                 cellspacing="7">

                        <h:outputLabel value="Razón social: "
                                       styleClass="outputLabelStyle" />
                        <h:inputText id="razonS"
                                     value="#{consultaTramite.filtroDatosConsultaSolicitante.razonSocial}"
                                     size="40" label="Razón social" />

                        <p:spacer height="0" width="7" />
                        <h:outputLabel value="DV" styleClass="outputLabelStyle" />
                        <h:inputText id="dv"
                                     value="#{consultaTramite.filtroDatosConsultaSolicitante.digitoVerificacion}"
                                     size="2" label="DV" />
                    </h:panelGrid>

                </h:panelGrid>

            </h:panelGrid>
        </h:panelGrid>
    </p:panel>

    <p:spacer height="20" />

    <h:panelGrid columns="1">

        <p:outputPanel layout="block" style="text-align:left">

            <p:spacer height="0" width="14" />

            <p:commandButton id="buscarTramites" icon="ui-icon-search"
                             onstart="statusDialog2.show();"
                             action="#{consultaTramite.buscarTramitesPorFiltroDerechoPeticionOTutela}"
                             value="Buscar"
                             update="resultsPanel, msgsTramiteConDerechoPeticionOTutela"
                             oncomplete="if (resultsPanelWV.cfg.collapsed) {
                             resultsPanelWV.toggle()}
                             statusDialog2.hide();" />

            <p:spacer height="0" width="14" />

            <p:commandButton value="Limpiar" icon="ui-icon-trash"
                             onstart="statusDialog2.show();"
                             action="#{consultaTramite.resetForm}"
                             oncomplete="statusDialog2.hide();"
                             update="tramiteConDerechoPeticionOTutelaForm" />

        </p:outputPanel>

    </h:panelGrid>

    <h:panelGrid id="resultsPanel">
        <p:panel header="Resultados de la búsqueda"
                 toggleable="false"
                 rendered="#{consultaTramite.renderResultPanel}"
                 widgetVar="resultsPanelWV">

            <p:dataTable id="resultsDT"
                         value="#{consultaTramite.lazyAssignedTramites}" var="tramite"
                         paginator="true" rows="10" rowKey="#{tramite.id}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                         {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                         selection="#{consultaTramite.selectedTramiteRow}"
                         selectionMode="single" emptyMessage="No se encontraron trámites.">

                <p:ajax event="rowSelect" onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                        listener="#{gestionarSolicitudes.seleccionarTramiteDerechoPeticionOTutelaListener}"
                        update=":tramiteConDerechoPeticionOTutelaForm:botonesPanel"/>

                <p:ajax event="rowUnselect" onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                        update=":tramiteConDerechoPeticionOTutelaForm:botonesPanel"/>

                <f:facet name="header">
                    Trámites resultado de la búsqueda
                </f:facet>


                <p:column>
                    <f:facet name="header">
                        No. Solicitud
                    </f:facet>

                    <p:commandLink styleClass="commandLinkStyle"
                                   oncomplete="detalleSolicitudWV.show();"
                                   update=":detalleSolicitudEjecutarForm" process="@this"
                                   value="#{tramite.solicitud.numero}">
                        <f:setPropertyActionListener value="#{tramite.solicitud}"
                                                     target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                    </p:commandLink>
                </p:column>

                <p:column sortBy="#{tramite.numeroRadicacion}">
                    <f:facet name="header">
                        No. Radicación
                    </f:facet>

                    <p:commandLink styleClass="commandLinkStyle"
                                   onstart="statusDialog2.show();"
                                   oncomplete="statusDialog2.hide();detalleTramiteEjecutarWV.show();"
                                   process="@this" update=":detalleTramiteEjecutarForm"
                                   value="#{tramite.numeroRadicacion}">
                        <f:setPropertyActionListener value="#{tramite}"
                                                     target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                    </p:commandLink>
                </p:column>

                <p:column sortBy="#{tramite.fechaRadicacion}">
                    <f:facet name="header">
                        Fecha de Radicación
                    </f:facet>

                    <h:outputText value="#{tramite.fechaRadicacion}"
                                  styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>
                </p:column>

                <p:column sortBy="#{tramite.tipoTramite}">
                    <f:facet name="header">
                        Tipo de trámite
                    </f:facet>

                    <h:outputText value="#{tramite.tipoTramiteCadenaCompleto}"
                                  styleClass="outputTextStyle" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Departamento
                    </f:facet>

                    <h:outputText value="#{tramite.departamento.nombre}"
                                  styleClass="outputTextStyle" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Municipio
                    </f:facet>

                    <h:outputText value="#{tramite.municipio.nombre}"
                                  styleClass="outputTextStyle" />
                </p:column>

                <p:column sortBy="#{tramite.clasificacion}">
                    <f:facet name="header">
                        Clasificación
                    </f:facet>

                    <h:outputText id="TramiteClasificacionV" style="width:150px"
                                  styleClass="outputTextStyle" value="#{tramite.clasificacion}">
                        <f:converter converterId="converterCB" for="TramiteClasificacionV" />
                    </h:outputText>
                </p:column>

                <p:column sortBy="#{tramite.funcionarioEjecutor}">
                    <f:facet name="header">
                        Ejecutor
                    </f:facet>

                    <h:outputText value="#{tramite.nombreFuncionarioEjecutor}"
                                  styleClass="outputTextStyle" />
                </p:column>

            </p:dataTable>

            <p:messages id="msgsTramiteConDerechoPeticionOTutelaAceptar"
                        showDetail="false" globalOnly="false" />

            <p:spacer height="30" width="0"/>

            <h:panelGrid id="botonesPanel" columns ="3" >
                <p:commandButton value="Asociar documento"
                                 rendered="#{not empty consultaTramite.selectedTramiteRow}"
                                 onstart="documentacionWV.show();statusDialog2.show();"
                                 icon="ui-icon ui-icon-pencil"
                                 oncomplete="statusDialog2.hide();" update=":documentacionForm2,resultsPanel">
                    <f:setPropertyActionListener 
                        target="#{gestionarSolicitudes.documentoDerechoPeticionOTutela}" value="#{true}"/>
                </p:commandButton>

                <p:spacer height="0" width="30"
                          rendered="#{not empty consultaTramite.selectedTramiteRow}"/>

                <p:commandButton value="Aceptar" icon="ui-icon ui-icon-disk" process="@this"
                                 action="#{gestionarSolicitudes.aceptarDerechoDePeticionOTutela}"
                                 rendered="#{not empty consultaTramite.selectedTramiteRow}"
                                 update="msgsTramiteConDerechoPeticionOTutelaAceptar, :detalleSolicitudGeneralForm:datosTramiteSolicitudPanel
                                 :detalleSolicitudGeneralForm:botonesRadicacionOutputPanel,
                                 :detalleSolicitudGeneralForm:datosTramiteSolicitudDerechoPeticionOTutelaPanel"
                                 onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, tramiteConDerechoOTutelaWV, false);"/>

            </h:panelGrid>


        </p:panel>
        <p:separator style="width:925px;height:3px" />
        <p:spacer height="7" width="0" />
        <p:outputPanel layout="block" style="text-align:right">
            <p:commandButton value="Cerrar" icon="ui-icon-circle-close" immediate="true"  id="cerrarBtn" action="#{gestionarSolicitudes.borrardocumentacionTemporalTramite}"
                             oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, tramiteConDerechoOTutelaWV, false);"/>
            <p:spacer height="0" width="30" />
        </p:outputPanel>
        <p:spacer height="20" width="0" />

    </h:panelGrid>

</h:form>